Page MenuHomePhabricator

Unable to expand /page/definition endpoint docs
Closed, ResolvedPublic

Description

See https://en.wiktionary.org/api/rest_v1/#/Page%20content/get_page_definition__term_ which gives

EvalError: Refused to evaluate a string as JavaScript because 'unsafe-eval' is not an allowed source of script in the following Content Security Policy directive: "script-src 'self' 'unsafe-inline'".

    at Function (<anonymous>)
    at async Promise.all (/api/rest_v1/index 0)

Uncaught (in promise) TypeError: Cannot read property 'resultMap' of undefined
    at ?path=./swagger-ui-bundle.js:51
    at w (?path=./swagger-ui-bundle.js:70)
    at Generator._invoke (?path=./swagger-ui-bundle.js:70)
    at Generator.e.(/api/rest_v1/anonymous function) [as throw] (https://en.wiktionary.org/api/rest_v1/?path=./swagger-ui-bundle.js:70:347545)
    at r (?path=./swagger-ui-bundle.js:70)
    at ?path=./swagger-ui-bundle.js:70

Looks like this is specific to this endpoint. After opening it the other endpoints hang as well when trying to expand them.

Event Timeline

Tgr created this task.May 4 2019, 11:46 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
LGoto triaged this task as Medium priority.May 8 2019, 3:38 PM
LGoto added a project: Services.
LGoto moved this task from Needs triage to Tracking on the Product-Infrastructure-Team-Backlog board.
bearND renamed this task from PCS /page/endpoints docs broken to Unable to expand /page/definition endpoint docs.May 8 2019, 5:18 PM
bearND updated the task description. (Show Details)
Pchelolo moved this task from Backlog to watching on the Services board.May 9 2019, 3:54 PM
Pchelolo edited projects, added Services (watching); removed Services.

LGoto moved this task from Needs triage to Tracking on the Reading-Infrastructure-Team-Backlog board.

Pchelolo edited projects, added Services (watching); removed Services.

Looks like we have a standoff ;)

The definitions docs had incorrect referencing and apparently swagger 3 is not as chill about it as swagger 2, https://github.com/wikimedia/restbase/pull/1133 fixes it

Pchelolo moved this task from watching to blocked on the Services board.May 15 2019, 6:20 AM
Pchelolo edited projects, added Services (blocked); removed Services (watching).
Pchelolo moved this task from blocked to doing on the Services board.
Pchelolo edited projects, added Services (doing); removed Services (blocked).
mobrovac closed this task as Resolved.May 15 2019, 7:24 AM
mobrovac assigned this task to Pchelolo.
mobrovac added a subscriber: mobrovac.

Merged, will be deployed soonish. Resolving.